%define name getmail
%define version 2.2.4
%define release 1mdk

Name:		%{name}
Summary:	POP3 mail retriever with reliable Maildir delivery
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://www.qcc.sk.ca/~charlesc/software/getmail-2.0/getmail.html
Source:		%{name}-%{version}.tar.bz2
Requires:	python >= 1.5.2
Buildrequires:  python >= 1.5.2
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot


%description
getmail is intended as a simple replacement for fetchmail for those people
who do not need its various and sundry configuration options, complexities,
and bugs.  It retrieves mail from one or more POP3 servers for one or more
email accounts, and reliably delivers into a Maildir specified on a
per-account basis.  It can also deliver into mbox files, although this
should not be attempted over NFS.  getmail is written entirely in python.


%prep -q
rm -rf $RPM_BUILD_ROOT

%setup

%build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_bindir},%{_sysconfdir}}
mkdir -p %{buildroot}%{_libdir}/getmail/

install -m755 $RPM_BUILD_DIR/%{name}-%{version}/getmail %{buildroot}%{_bindir}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/getmail.py %{buildroot}%{_libdir}/getmail/
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/ConfParser* %{buildroot}%{_libdir}/getmail/
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/timeoutsocket.py* %{buildroot}%{_libdir}/getmail/

# Produce bytecode
python /usr/lib/python2.2/compileall.py -d %_libdir/getmail/ $RPM_BUILD_ROOT/%_libdir/getmail/

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc BUGS CHANGELOG TODO faq.txt getmail.txt
%doc COPYING THANKS getmailrc-example docs.txt
%doc docs.html faq.html
%_bindir/getmail
%_libdir/getmail

%changelog
* Thu Mar 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- 2.2.4

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.3-1mdk
- 2.2.3

* Mon Jan 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0

* Sat Jan 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-4mdk
- buildrequires python

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-3mdk
- produce pre-compiled bytecode versions

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-2mdk
- apply fixes from author Charles Cazabon <charlesc@discworld.dyndns.org> :
	- provides COPYING file
	- more doc
	- fix file list ( /usr/lib/getmail/ )

* Sun Dec 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-1mdk
- 2.1.9

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.7-1mdk
- 2.1.7

* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.5-1mdk
- 2.1.5

* Sat Jul 14 2001  Daouda Lo <daouda@mandrakesoft.com> 2.1.1-2mdk
- fixed URL.

* Fri Jul 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-1mdk
- updated to 2.1.1

* Thu Apr 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.19-1mdk
- updated to 2.0.19

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- updated to 2.0.6

* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.11-1mdk
- build for mandrake
